@font-face {
  font-family: ProximaNova;
  src: local("ProximaNova-Regular"), url(fonts/Proxima-Nova-Regular.woff2) format("woff2"), url(fonts/Proxima-Nova-Regular.woff) format("woff"), url(fonts/Proxima-Nova-Regular.otf) format("opentype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: ProximaNova;
  src: local("ProximaNova-Semibold"), url(fonts/ProximaNova-Semibold.woff2) format("woff2"), url(fonts/ProximaNova-Semibold.woff) format("woff"), url(fonts/ProximaNova-Semibold.otf) format("opentype");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: ProximaNova;
  src: local("ProximaNova-Bold"), url(fonts/Proxima-Nova-Bold.woff) format("woff"), url(fonts/Proxima-Nova-Bold.otf) format("opentype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
*, *::before, *::after {
  box-sizing: border-box;
}
* {
  margin: 0;
}
html, body {
  height: 100%;
}
body {
  font-family: ProximaNova,sans-serif;
  color: rgba(22, 24, 35, 1.0);
  background: rgba(255, 255, 255, 1.0);
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: antialiased;
  background: #e9ebee;
  position: relative;
  width: 100%;
  height: 100%;
  font-size: 18px;
  font-weight: 400;
  overscroll-behavior: contain;
  direction: ltr;
}
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
a{
	text-decoration: none!important;
}
input, button, textarea, select {
  font: inherit;
}
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}
input,
textarea,
[contenteditable] {
  caret-color: red;
  resize: none;
}
textarea{
    padding: 10px;
    font-size: 14px;
    font-weight: 500;
    border: none;
}
/*
 * Container style
 */
.ps {
  overflow: hidden !important;
  overflow-anchor: none;
  -ms-overflow-style: none;
  touch-action: auto;
  -ms-touch-action: auto;
}

/*
 * Scrollbar rail styles
 */
.ps__rail-x {
  display: none;
  opacity: 0;
  transition: background-color .2s linear, opacity .2s linear;
  -webkit-transition: background-color .2s linear, opacity .2s linear;
  height: 15px;
  /* there must be 'bottom' or 'top' for ps__rail-x */
  bottom: 0px;
  /* please don't change 'position' */
  position: absolute;
}

.ps__rail-y {
  display: none;
  opacity: 0;
  transition: background-color .2s linear, opacity .2s linear;
  -webkit-transition: background-color .2s linear, opacity .2s linear;
  width: 15px;
  /* there must be 'right' or 'left' for ps__rail-y */
  right: 0;
  /* please don't change 'position' */
  position: absolute;
}

.ps--active-x > .ps__rail-x,
.ps--active-y > .ps__rail-y {
  display: block;
  background-color: transparent;
}

.ps:hover > .ps__rail-x,
.ps:hover > .ps__rail-y,
.ps--focus > .ps__rail-x,
.ps--focus > .ps__rail-y,
.ps--scrolling-x > .ps__rail-x,
.ps--scrolling-y > .ps__rail-y {
  opacity: 0.6;
}

.ps .ps__rail-x:hover,
.ps .ps__rail-y:hover,
.ps .ps__rail-x:focus,
.ps .ps__rail-y:focus,
.ps .ps__rail-x.ps--clicking,
.ps .ps__rail-y.ps--clicking {
  background-color: #eee;
  opacity: 0.9;
}

/*
 * Scrollbar thumb styles
 */
.ps__thumb-x {
  background-color: #aaa;
  border-radius: 6px;
  transition: background-color .2s linear, height .2s ease-in-out;
  -webkit-transition: background-color .2s linear, height .2s ease-in-out;
  height: 6px;
  /* there must be 'bottom' for ps__thumb-x */
  bottom: 2px;
  /* please don't change 'position' */
  position: absolute;
}

.ps__thumb-y {
  background-color: #aaa;
  border-radius: 6px;
  transition: background-color .2s linear, width .2s ease-in-out;
  -webkit-transition: background-color .2s linear, width .2s ease-in-out;
  width: 6px;
  /* there must be 'right' for ps__thumb-y */
  right: 2px;
  /* please don't change 'position' */
  position: absolute;
}

.ps__rail-x:hover > .ps__thumb-x,
.ps__rail-x:focus > .ps__thumb-x,
.ps__rail-x.ps--clicking .ps__thumb-x {
  background-color: #999;
  height: 11px;
}

.ps__rail-y:hover > .ps__thumb-y,
.ps__rail-y:focus > .ps__thumb-y,
.ps__rail-y.ps--clicking .ps__thumb-y {
  background-color: #999;
  width: 11px;
}

/* MS supports */
@supports (-ms-overflow-style: none) {
  .ps {
    overflow: auto !important;
  }
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  .ps {
    overflow: auto !important;
  }
}
#root, #__next {
	isolation: isolate;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
}
.app-height.overflow-hidden{
	height: 100%;
	overflow: hidden;
}
.fixed{
	position: fixed;
}
*[bg-black]{
	background: #000!important;
}
#main-container{
	height: 100%;
	overflow: hidden;
	width: var(--app-width);
	background: #fff;
	position: relative;
	-webkit-overflow-scrolling: touch;
	display: flex;
	flex-direction: column;
}
#main-content {
    position: relative;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    max-height: 100%;
}
.top-bar{
position: absolute;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    min-height: 70px;
	width: 100%;
	z-index: 9;
}
.menu-bar{
	position: relative;
    width: 40px;
    height: 40px;
}
.menu-bar svg{
    width: 40px;
    position: absolute;
    top: 0;
    left: 0;
    margin: 0 1rem;
    z-index: 0;
    cursor: pointer;
}
.options-bar{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
}
.options-bar span{
	font-weight: 600;
	color: rgba(255, 255, 255, 0.5) !important;
font-size: 17px;
    margin-inline-end: 24px;
}
.options-bar span.active{
	color: rgb(255, 255, 255) !important;
}
#wfooter{
position: relative;
    -webkit-flex: 0 0 auto;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
}
#wfooter footer{
display: flex;
    -webkit-box-pack: justify;
    justify-content: space-between;
    height: 49px;
    padding: 0px 16px;
    background-color: rgb(0, 0, 0);
}
footer.navli a{
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	position: relative;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-align-items: center;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	padding: 4px;
}
footer.navli a svg{
    width: 2rem;
    height: auto;
}
.navbar-w,
.navbar-hd,
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    position: relative;
    border-bottom: 1px solid rgb(22 24 35 / 12%);
    background: #fff;
    width: 100%;
    min-height: 50px;
    z-index: 99;
}
.navbar-hd{border: none;}
.navbar-w {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0;
    border: none!important;
}
.navbar .nvb{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    padding: 12px;
    z-index: 0;
		color: #333;
}
.navbar .nva a{
		color: #333;
		transition: color .3s ease 0s;
}
.navbar .nva a:active{
	color: #000;
}
.navbar .nva,
.navbar .nvc,
.navbar .nvz{
	position: relative;
	z-index: 1;
	width: 33.33%;
}
a.btn,
button.btn{
    box-sizing: border-box;
    appearance: none;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    position: relative;
    border-style: solid;
    border-width: 1px;
    border-radius: 4px;
    font-weight: 500;
    text-decoration: none;
    cursor: pointer;
    background-clip: padding-box;
    font-size: 14px;
    color: rgb(102 107 139);
    background-color: rgb(255 255 255);
    border-color: rgb(22 24 35 / 12%);
    padding: 5px 8px;
    margin: 0 2px;
    transition: all .3s ease;
}
a.btn:active,
button.btn:active{
	transform: scale(.98);
}
.js-container-scroll{
	position: relative;
    width: 100%;
    display: block;
    height: 100%;
    overflow: hidden;
}
.form-switch{display:inline-block;cursor:pointer;-webkit-tap-highlight-color:transparent;}
.form-switch i{position:relative;display:inline-block;margin-right:.5rem;width:46px;height:26px;background-color:#e6e6e6;border-radius:23px;vertical-align:text-bottom;transition:all 0.3s linear;}
.form-switch i::before{content:"";position:absolute;left:0;width:42px;height:22px;background-color:#e9ebee;border-radius:11px;transform:translate3d(2px, 2px, 0) scale3d(1, 1, 1);transition:all 0.25s linear;}
.form-switch i::after{content:"";position:absolute;left:0;width:22px;height:22px;background-color:#fff;border-radius:11px;box-shadow:0 2px 2px rgba(0, 0, 0, 0.24);transform:translate3d(2px, 2px, 0);transition:all 0.2s ease-in-out;}
.form-switch:active i::after{width:28px;transform:translate3d(2px, 2px, 0);}
.form-switch:active input:checked + i::after{transform:translate3d(16px, 2px, 0);}
.form-switch input{display:none;}
.form-switch input:checked + i{background-color:#4BD763;}
.form-switch input:checked + i::before{transform:translate3d(18px, 2px, 0) scale3d(0, 0, 0);}
.form-switch input:checked + i::after{transform:translate3d(22px, 2px, 0);}
@keyframes display{
  to{opacity: 1;}
}
*[display]{
  opacity: 0;
  transition: all .3s ease;
  animation: display .3s ease forwards;
}
.tiktok-1h33avf-DivBottomBanner {
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 20px;
  box-sizing: border-box;
}
.tiktok-1ga7i66-PTitle {
  color: rgba(22, 24, 35, 1.0);
  font-weight: 600;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
}
.tiktok-jhvymk-PDesc {
  color: rgba(22, 24, 35, 0.75);
  font-weight: 400;
  font-size: 15px;
  line-height: 18px;
  margin-top: 12px;
  text-align: center;
}
.tiktok-16kqn6q-ButtonOpenTT {
  color: rgba(255, 255, 255, 1.0);
  font-weight: 600;
  width: 100%;
  height: 44px;
  border: none;
  font-size: 15px;
  line-height: 44px;
  border-radius: 2px;
  background-color: rgba(254, 44, 85, 1.0);
  margin-top: 18px;
}
body.swal2-height-auto{
  height: 100%!important;
}
.swal2-styled.swal2-confirm{
    border: 0;
    border-radius: .25em;
    background: initial;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.06), rgba(0, 0, 0, 0.06)),#FE2C55;
    color: #fff;
    font-size: 1em;
    padding: 6px 30px;
    outline: none!important;
    box-shadow: none!important;
}
.swal2-footer{
    justify-content: center;
    margin: 10px 0 0;
    padding: 10px;
    border-top: 1px solid #eee;
    color: inherit;
    font-size: 1em;
    margin-bottom: -15px;
}
.swal2-footer a{
  color: #ef2950;
}
.swal2-icon{
      margin: 1.5em auto 0px;
}
.swal2-title{
  padding: 0;
}
.swal2-html-container{
  margin: 0;
  padding: 0;
  padding: 10px;
}
.swal2-actions{
  margin: 10px;
}
.navbar .nvc{
  display: flex;
  align-items: center;
  justify-content: end;
}
.footer-modal{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 999;
  min-height: 300px;
  background: #fff;
  display: flex;
  flex-direction: column;
  box-shadow: 0 0 1rem #787878;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  padding: 10px;
  transform: translateY(100%);
  transition: all .3s linear;
}
.footer-modal.active-fm{
  transform: translateY(0);
}
.fm-umask{
  transition: all .3s ease;
  position: absolute;
  background-color: rgb(40 40 40 / 40%);
  width: 100%;
  height: 100%;
  inset: 0;
  z-index: 99;
  opacity: 0;
  transform: scale(0) translateY(-100%);
}
@keyframes umak {
  0%{opacity: 0;transform: scale(0) translateY(-100%);}
  50%{opacity: 0;transform: scale(1) translateY(-100%);}
  100%{opacity: 1;transform: scale(1) translateY(0%);}
}
.fm-umask.active-uma{
  animation: umak .3s ease forwards;
}
.footer-modal .fm-h{
display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    font-weight: 600;
    letter-spacing: .5px;
    border-bottom: 1px solid #dddfe2;
    min-height: 42px;
    margin-top: -10px;
}
.footer-modal .fm-h h2{
  margin: 0;
  font-size: inherit;
}
.footer-modal .fm-h svg{
  position: absolute;
  right: 10px;
  top: 10px;
  opacity: .5;
  cursor: pointer;
}
.footer-modal .fm-b{}
*[data-fun]{
  cursor: pointer;
}



.css-feuqz4 {
    font-weight: 600;
    color: rgb(255, 255, 255);
    z-index: 1002;
    width: 100%;
    pointer-events: none;
    user-select: none;
}
.css-feuqz4-notice-content{background-color:rgba(84, 84, 84, 0.92);display:inline-block;padding:10px 8px;pointer-events:all;width:100%;border-radius:2px;}
.css-fti1rd-DivMessageContainer{width:100%;margin:0px auto;direction:ltr;}

#toast{
position: absolute;
    top: 0;
    left: 0;
    z-index: 99999;
    transition: all .3s linear;
    transform: translateY(-100%);
    width: 100%;
    padding: 5px;
}



.tiktok-10tovpt-DivContentWrapper{padding:16px 20px 20px;}
.tiktok-1a8xlsr-DivPanelTitle{padding:12px 0px;font-size:13px;line-height:17px;font-weight:600;text-align:center;color:rgb(22, 24, 35);}
.tiktok-1aw49hp-DivShareContainer{position:relative;padding-bottom:16px;line-height:1;}
.tiktok-1aw49hp-DivShareContainer::after{content:"";position:absolute;bottom:0px;left:24px;right:24px;background-color:rgba(22, 24, 35, 0.12);height:1px;transform:scaleY(0.5);}
.tiktok-1qithyn-DivShareInnerWrapper {
    white-space: nowrap;
    display: flex;
    overflow: auto hidden;
    padding: 10px 0;
}
.tiktok-1qithyn-DivShareInnerWrapper::-webkit-scrollbar{width:2px;height: 4px;}
.tiktok-1qithyn-DivShareInnerWrapper::-webkit-scrollbar-track{margin-top:0px;}
.tiktok-1qithyn-DivShareInnerWrapper::-webkit-scrollbar-thumb{border-radius:2px;background-color:rgba(22, 24, 35, 0.12);}
.ecs0bqp2{
  overflow: hidden;
}

.tiktok-dhy98k-DivPlatWrap {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-width: 70px;
}
.tiktok-1lo9b6o-DivSVGWrap{font-size:0px;}
.tiktok-wofng-DivPlatName{display:block;font-size:11px;padding-top:7px;color:rgba(22, 24, 35, 0.75);text-align:center;}
.tiktok-1koy9jq-DivReportContainer {
    position: relative;
    width: 100%;
    padding: 10px;
    white-space: nowrap;
    line-height: 1;
}
.tiktok-8m65ry-DivReportWrap{position:relative;display:inline-block;vertical-align:top;text-align:center;margin-inline-end:17.5px;}
.tiktok-1h1ir2v-DivButtonContainer{position:relative;}
.tiktok-1h1ir2v-DivButtonContainer::after{content:"";position:absolute;bottom:0px;left:0px;right:0px;background-color:rgba(22, 24, 35, 0.12);height:1px;transform:scaleY(0.5);}
.tiktok-m5s6am-Button{height:52px;width:100%;background-color:rgb(255, 255, 255);border:none;font-size:15px;line-height:18px;}
.tiktok-lzx7z-DivBodyWrapper{pointer-events:auto;position:absolute;left:0px;bottom:0px;width:100%;background:rgb(255, 255, 255);border-radius:12px 12px 0px 0px;max-height:73vh;transition:transform 0.3s ease 0s;transform:none;}


#gmasked{
position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999999999999999999;
    background-color: #e9ebee;
    background-image: url(/extras/loading.gif);
    background-repeat: no-repeat;
    background-position: center;
}
.reportable_data ul{
    margin: 30px 0!important;
    font-size: 14px;
    gap: 20px;
    display: flex;
    flex-direction: column;
}